upstream ${ODOO_SERVICE}server {
	server ${ODOO_SERVICE}:8069 fail_timeout=300s;
}

upstream ${ODOO_SERVICE}longpoll {
	server ${ODOO_SERVICE}:8072 fail_timeout=300s;
}

server {
	listen	${NGINX_PORT};
	server_name ${ODOO_SERVER_NAMES};
	return 301 https://${DOLLSIGN}host:${NGINX_SSL_PORT}${DOLLSIGN}request_uri;
}

server {
	listen  ${NGINX_SSL_PORT} ssl;
	server_name ${ODOO_SERVER_NAMES};
        client_max_body_size 200M;
        gzip on;
        gzip_min_length 256;
        gzip_types text/plain application/x-javascript application/json text/xml text/css;
        gzip_vary on;
        proxy_read_timeout 720s;
        proxy_connect_timeout 720s;
        proxy_send_timeout 720s;
        proxy_set_header Host ${DOLLSIGN}http_host;
        proxy_set_header X-Forwarded-Host ${DOLLSIGN}http_host;
        proxy_set_header X-Forwarded-For ${DOLLSIGN}proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto ${DOLLSIGN}scheme;
        proxy_set_header X-Real-IP ${DOLLSIGN}remote_addr;
        location / {
                proxy_pass http://${ODOO_SERVICE}server;
                proxy_redirect off;
                # proxy_redirect http://${DOLLSIGN}http_host/ https://${DOLLSIGN}host:${DOLLSIGN}server_port/;
	}
	location /longpolling {
		proxy_pass http://${ODOO_SERVICE}longpoll;
	}
}
